DigestAuthenticator.AuthDigest (Apache Tomcat 11.0.24 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: DigestAuthenticator, enum: AuthDigest

# Enum Class DigestAuthenticator.AuthDigest

java.lang.Object
java.lang.Enum<DigestAuthenticator.AuthDigest>
org.apache.catalina.authenticator.DigestAuthenticator.AuthDigest

All Implemented Interfaces:
  `Serializable, Comparable<DigestAuthenticator.AuthDigest>, Constable`

Enclosing class:
  `DigestAuthenticator`

public static enum DigestAuthenticator.AuthDigest extends Enum<DigestAuthenticator.AuthDigest>
This enum exists because RFC 7616 and Java use different names for some digests.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MD5`
  MD5 digest algorithm.
  `SHA_256`
  SHA-256 digest algorithm.
  `SHA_512_256`
  SHA-512/256 digest algorithm.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getJavaName()`
  Get the Java standard name for this digest algorithm.
  `String`
  `getRfcName()`
  Get the RFC name for this digest algorithm.
  `static DigestAuthenticator.AuthDigest`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static DigestAuthenticator.AuthDigest[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MD5

    public static final DigestAuthenticator.AuthDigest MD5
    MD5 digest algorithm.

  - ### SHA_256

    public static final DigestAuthenticator.AuthDigest SHA_256
    SHA-256 digest algorithm.

  - ### SHA_512_256

    public static final DigestAuthenticator.AuthDigest SHA_512_256
    SHA-512/256 digest algorithm.

- ## Method Details

  - ### values

    public static DigestAuthenticator.AuthDigest[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static DigestAuthenticator.AuthDigest valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getJavaName

    public String getJavaName()
    Get the Java standard name for this digest algorithm.
    Returns:
      Java algorithm name

  - ### getRfcName

    public String getRfcName()
    Get the RFC name for this digest algorithm.
    Returns:
      RFC algorithm name